[sdl]
# fullscreen --  DOSBox   .
# fulldouble --      .
# fullfixed --       .
# fullresolution --      (x),
#                      fullfixed.
# output --  : surface,overlay.
# hwscale --    ,
#                .
# autolock --    DOSBox    .
# sensitiviy --   .
# waitonerror --     ,   DOSBox  .
# priority --  ,    DOSBox:
#             lower,normal,higher,highest.
#                  ,
#             ,   DOSBox ף  .
# mapperfile --   /   .

fullscreen=false
fulldouble=false
fullfixed=false
fullresolution=1024x768
output=surface
hwscale=1.00
autolock=true
sensitivity=100
waitonerror=true
priority=higher,normal
mapperfile=mapper.txt

[dosbox]
# language --     .
# memsize --  ,  DOSBox',  .
# machine --    : auto,hercules,cga,tandy,vga.
#              ,    DOS-
#                auto.
# captures -- ,       .

language=
machine=vga
captures=capture
memsize=16

[render]
# frameskip --      .
# aspect -- Do aspect correction (   ?).
# scaler --    / 
#               .  :
#           none,normal2x,advmame2x,advmame3x,advinterp2x,interp2x,tv2x.

frameskip=0
aspect=false
scaler=normal2x

[cpu]
# core --   CPU: normal,full,dynamic.
# cycles --  ,  dosbox  
#             .     ,
#                !
# cycleup   --  cycles,     .
# cycledown      100   
#                 cycles.

core=normal
cycles=3000
cycleup=500
cycledown=20

[mixer]
# nosound --   .
#                ޣ.
# rate --   .      
#          ,    ,
#         ,   ţ  .
# blocksize --     .
#                  ,
#                  .
# prebuffer --       blocksize.

nosound=false
rate=22050
blocksize=2048
prebuffer=10

[midi]
# mpu401 --   MPU-401.
# intelligent --  Intelligent-.
# device -- ,      MIDI  MPU-401.
#            : default,alsa,oss,win32,coreaudio,none.
# config --    .

mpu401=true
intelligent=true
device=default
config=

[sblaster]
# type --   : none,sb1,sb2,sbpro1,sbpro2,sb16.
# base,irq,dma,hdma --   .
# mixer --        
#            .
# oplmode --   OPL: auto,cms,opl2,dualopl2,opl3.
#              auto     .
# oplrate --      OPL.

type=sb16
base=220
irq=7
dma=1
hdma=5
mixer=true
oplmode=auto
oplrate=22050

[gus]
# gus --   Gravis Ultrasound.
# base,irq1,irq2,dma1,dma2 --   .
#               IRQ1/2  DMA1/2.
# rate --     Ultrasound.
# ultradir --    Ultrasound.     
#              MIDI,   -  GUS playback.
#              ,   Timidity,
#                .

gus=true
rate=22050
base=240
irq1=5
irq2=5
dma1=3
dma2=3
ultradir=C:\ULTRASND

[speaker]
# pcspeaker --     PC-Speaker.
# pcrate --     PC-Speaker.
# tandyrate --     Tandy.
# disney --   Disney Sound Source.

pcspeaker=true
pcrate=22050
tandyrate=22050
disney=true

[bios]
# font8x8  =     8x8     -
# font8x14 =     8x14    -
# font8x16 =     8x16    -

font8x8=
font8x14=
font8x16=

[dos]
# xms --   XMS.
# ems --   EMS.

xms=true
ems=true

[autoexec]
#         DOS-.


